Cfj      SUBROUTINE MYFLUSH
Cfj      WRITE(*,666) '.'
Cfj      CALL fflushc()
Cfj 666  FORMAT(A1,$)
Cfj      END
C--------------------------
      SUBROUTINE MYFLUSH(POURC)
      COMMON / SAUVECOMPTEUR / ICOMPTEUR
      CHARACTER*7 C,BACK7
      CHARACTER*1 TICTAC
      ICOMPTEUR = ICOMPTEUR+1
      BACK7 = CHAR(8)//CHAR(8)//CHAR(8)//CHAR(8)//CHAR(8)
     &      //CHAR(8)//CHAR(8)
      I = MOD(ICOMPTEUR,4)
      IF (I.EQ.0) THEN
        TICTAC = '-'
      ELSEIF(I.EQ.1) THEN
        TICTAC = CHAR(92)
      ELSEIF(I.EQ.1) THEN
        TICTAC = CHAR(124)
      ELSE
        TICTAC = '/'
      ENDIF
      WRITE(C,'(A1,F5.1,"%")') TICTAC,POURC
      WRITE(*,666) BACK7//C
cc      CALL fflushc()
 666  FORMAT(A,$)
      END
C--------------------------
      SUBROUTINE INITFLUSH
      COMMON / SAUVECOMPTEUR / ICOMPTEUR
      ICOMPTEUR = 0
      END
C--------------------------
      SUBROUTINE ENDFLUSH
      COMMON / SAUVECOMPTEUR / ICOMPTEUR
      CHARACTER*7 BACK7
      ICOMPTEUR = 0
      BACK7 = CHAR(8)//CHAR(8)//CHAR(8)//CHAR(8)//CHAR(8)
     &      //CHAR(8)//CHAR(8)
      WRITE(*,666) BACK7
 666  FORMAT(A,$)
      END
